Bug 105929 - unable to extend Display port (DP) display using DP MST hub in Linux(Fedora-25)
Summary: unable to extend Display port (DP) display using DP MST hub in Linux(Fedora-25)
Status: RESOLVED WORKSFORME
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-06 16:17 UTC by Sandeep J M
Modified: 2019-07-15 06:37 UTC (History)
4 users (show)

See Also:
i915 platform: HSW
i915 features: display/DP MST


Attachments
dmesg output with 2 DP monitors connected to MST hub (249.84 KB, text/plain)
2018-04-06 16:17 UTC, Sandeep J M
no flags Details
xrandr output (10.06 KB, text/plain)
2018-04-06 16:22 UTC, Sandeep J M
no flags Details
Booting error message (413.25 KB, image/jpeg)
2018-04-06 16:23 UTC, Sandeep J M
no flags Details
uname command output (340 bytes, text/plain)
2018-04-06 16:24 UTC, Sandeep J M
no flags Details
attachment-16222-0.html (7.32 KB, text/html)
2018-04-10 11:38 UTC, Sandeep J M
no flags Details
attachment-8012-0.html (22.58 KB, text/html)
2018-04-10 15:46 UTC, Sandeep J M
no flags Details
attachment-24666-0.html (7.72 KB, text/html)
2018-04-11 14:55 UTC, Sandeep J M
no flags Details
attachment-927-0.html (7.62 KB, text/html)
2018-04-11 15:09 UTC, Sandeep J M
no flags Details
bootscreen with 2017Q4 Intel Graphics Stack Recipe built (457.57 KB, image/jpeg)
2018-04-12 15:16 UTC, Sandeep J M
no flags Details
bootscreen with 2017Q4 Intel Graphics Stack Recipe built with Audio drivers included (447.02 KB, image/jpeg)
2018-04-12 16:05 UTC, Sandeep J M
no flags Details
dmesg output with 2 DP monitors connected to MST hub, Kernel Ver-4.16 (250.21 KB, text/plain)
2018-04-13 11:52 UTC, Sandeep J M
no flags Details
dmesg output with 2 DP monitors connected to MST hub, Kernel Ver-4.16 from 2018 Q1 Intel grahics stack recipe (967.12 KB, text/plain)
2018-04-18 07:48 UTC, Sandeep J M
no flags Details
attachment-8413-0.html (7.99 KB, text/html)
2018-04-25 12:59 UTC, Sandeep J M
no flags Details
attachment-10301-0.html (6.39 KB, text/html)
2018-09-10 12:52 UTC, Sandeep J M
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sandeep J M 2018-04-06 16:17:26 UTC
Created attachment 138653 [details]
dmesg output with 2 DP monitors connected to MST hub

Hi, I am trying to extend Display port(DP) display using MST hub(Startech make, MSTDP123DP) in Fedora-25(Kernel version-4.13.16). I am using Intel Single Board computer(I7 CPU, Hasswell, 4th generation). When trying to drive 2 display through MST, not getting any graphics on either of the display. Attached is the "dmesg" command output with drm.debug=0xe setting in Kernel command line. Also below is the "uname" command output.
----------------------------------------------------------------------------------
[root@localhost root]# uname -a
Linux localhost.localdomain 4.13.16-100.fc25.x86_64 #1 SMP Mon Nov 27 19:52:46 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost root]# 
----------------------------------------------------------------------------------

Below is the "xrandr" command output.

----------------------------------------------------------------------------------
[abc@localhost ~]$ xrandr --verbose
Screen 0: minimum 8 x 8, current 3968 x 1080, maximum 32767 x 32767
DP1 disconnected (normal left inverted right x axis y axis)
	Identifier: 0x43
	Timestamp:  258593
	Subpixel:   unknown
	Clones:     HDMI1
	CRTCs:      0 1 2
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	Broadcast RGB: Automatic 
		supported: Automatic, Full, Limited 16:235
	audio: auto 
		supported: force-dvi, off, auto, on
	link-status: Good 
		supported: Good, Bad
DP2 connected primary 1920x1080+0+0 (0x50) normal (normal left inverted right x axis y axis) 530mm x 300mm
	Identifier: 0x44
	Timestamp:  258593
	Subpixel:   unknown
	Gamma:      1.0:1.0:1.0
	Brightness: 1.0
	Clones:     HDMI2
	CRTC:       0
	CRTCs:      0 1 2
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	_MUTTER_PRESENTATION_OUTPUT: 0 
	EDID: 
		00ffffffffffff0010acdba042345634
		0d1b0104a5351e783a0565a756529c27
		0f5054a54b00714f8180a9c0d1c00101
		010101010101023a801871382d40582c
		45000f282100001e000000ff00565254
		434a373431345634420a000000fc0044
		454c4c205032343137480a20000000fd
		00384c1e5311010a2020202020200024
	Broadcast RGB: Automatic 
		supported: Automatic, Full, Limited 16:235
	audio: auto 
		supported: force-dvi, off, auto, on
	link-status: Good 
		supported: Good, Bad
  1920x1080 (0x50) 148.500MHz +HSync +VSync *current +preferred
        h: width  1920 start 2008 end 2052 total 2200 skew    0 clock  67.50KHz
        v: height 1080 start 1084 end 1089 total 1125           clock  60.00Hz
  1600x900 (0xec) 108.000MHz +HSync +VSync
        h: width  1600 start 1624 end 1704 total 1800 skew    0 clock  60.00KHz
        v: height  900 start  901 end  904 total 1000           clock  60.00Hz
  1280x1024 (0xed) 135.000MHz +HSync +VSync
        h: width  1280 start 1296 end 1440 total 1688 skew    0 clock  79.98KHz
        v: height 1024 start 1025 end 1028 total 1066           clock  75.02Hz
  1280x1024 (0xee) 108.000MHz +HSync +VSync
        h: width  1280 start 1328 end 1440 total 1688 skew    0 clock  63.98KHz
        v: height 1024 start 1025 end 1028 total 1066           clock  60.02Hz
  1152x864 (0xef) 108.000MHz +HSync +VSync
        h: width  1152 start 1216 end 1344 total 1600 skew    0 clock  67.50KHz
        v: height  864 start  865 end  868 total  900           clock  75.00Hz
  1024x768 (0xf0) 78.750MHz +HSync +VSync
        h: width  1024 start 1040 end 1136 total 1312 skew    0 clock  60.02KHz
        v: height  768 start  769 end  772 total  800           clock  75.03Hz
  1024x768 (0x51) 65.000MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock  48.36KHz
        v: height  768 start  771 end  777 total  806           clock  60.00Hz
  800x600 (0xf1) 49.500MHz +HSync +VSync
        h: width   800 start  816 end  896 total 1056 skew    0 clock  46.88KHz
        v: height  600 start  601 end  604 total  625           clock  75.00Hz
  800x600 (0xf2) 40.000MHz +HSync +VSync
        h: width   800 start  840 end  968 total 1056 skew    0 clock  37.88KHz
        v: height  600 start  601 end  605 total  628           clock  60.32Hz
  640x480 (0xf3) 31.500MHz -HSync -VSync
        h: width   640 start  656 end  720 total  840 skew    0 clock  37.50KHz
        v: height  480 start  481 end  484 total  500           clock  75.00Hz
  640x480 (0xf4) 25.175MHz -HSync -VSync
        h: width   640 start  656 end  752 total  800 skew    0 clock  31.47KHz
        v: height  480 start  490 end  492 total  525           clock  59.94Hz
  720x400 (0xf5) 28.320MHz -HSync +VSync
        h: width   720 start  738 end  846 total  900 skew    0 clock  31.47KHz
        v: height  400 start  412 end  414 total  449           clock  70.08Hz
DP3 disconnected (normal left inverted right x axis y axis)
	Identifier: 0x45
	Timestamp:  258593
	Subpixel:   unknown
	Clones:     HDMI3
	CRTCs:      0 1 2
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	Broadcast RGB: Automatic 
		supported: Automatic, Full, Limited 16:235
	audio: auto 
		supported: force-dvi, off, auto, on
	link-status: Bad 
		supported: Good, Bad
DP3-1 disconnected (normal left inverted right x axis y axis)
	Identifier: 0x46
	Timestamp:  258593
	Subpixel:   unknown
	Clones:     DP3-1-1 DP3-1-2 DP3-2
	CRTCs:      0 1 2
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	link-status: Good 
		supported: Good, Bad
DP3-1-1 disconnected (normal left inverted right x axis y axis)
	Identifier: 0x47
	Timestamp:  258593
	Subpixel:   unknown
	Clones:     DP3-1 DP3-1-2 DP3-2
	CRTCs:      0 1 2
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	link-status: Good 
		supported: Good, Bad
DP3-1-2 connected 1024x768+1920+0 (0x51) normal (normal left inverted right x axis y axis) 0mm x 0mm
	Identifier: 0x48
	Timestamp:  258593
	Subpixel:   unknown
	Gamma:      1.0:1.0:1.0
	Brightness: 1.0
	Clones:     DP3-1 DP3-1-1 DP3-2
	CRTC:       1
	CRTCs:      0 1 2
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	_MUTTER_PRESENTATION_OUTPUT: 0 
	link-status: Good 
		supported: Good, Bad
  1024x768 (0x51) 65.000MHz -HSync -VSync *current
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock  48.36KHz
        v: height  768 start  771 end  777 total  806           clock  60.00Hz
  800x600 (0xf2) 40.000MHz +HSync +VSync
        h: width   800 start  840 end  968 total 1056 skew    0 clock  37.88KHz
        v: height  600 start  601 end  605 total  628           clock  60.32Hz
  800x600 (0xf6) 36.000MHz +HSync +VSync
        h: width   800 start  824 end  896 total 1024 skew    0 clock  35.16KHz
        v: height  600 start  601 end  603 total  625           clock  56.25Hz
  848x480 (0xf7) 33.750MHz +HSync +VSync
        h: width   848 start  864 end  976 total 1088 skew    0 clock  31.02KHz
        v: height  480 start  486 end  494 total  517           clock  60.00Hz
  640x480 (0xf4) 25.175MHz -HSync -VSync
        h: width   640 start  656 end  752 total  800 skew    0 clock  31.47KHz
        v: height  480 start  490 end  492 total  525           clock  59.94Hz
DP3-2 connected 1024x768+2944+0 (0x51) normal (normal left inverted right x axis y axis) 0mm x 0mm
	Identifier: 0x49
	Timestamp:  258593
	Subpixel:   unknown
	Gamma:      1.0:1.0:1.0
	Brightness: 1.0
	Clones:     DP3-1 DP3-1-1 DP3-1-2
	CRTC:       2
	CRTCs:      0 1 2
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	_MUTTER_PRESENTATION_OUTPUT: 0 
	link-status: Good 
		supported: Good, Bad
  1024x768 (0x51) 65.000MHz -HSync -VSync *current
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock  48.36KHz
        v: height  768 start  771 end  777 total  806           clock  60.00Hz
  800x600 (0xf2) 40.000MHz +HSync +VSync
        h: width   800 start  840 end  968 total 1056 skew    0 clock  37.88KHz
        v: height  600 start  601 end  605 total  628           clock  60.32Hz
  800x600 (0xf6) 36.000MHz +HSync +VSync
        h: width   800 start  824 end  896 total 1024 skew    0 clock  35.16KHz
        v: height  600 start  601 end  603 total  625           clock  56.25Hz
  848x480 (0xf7) 33.750MHz +HSync +VSync
        h: width   848 start  864 end  976 total 1088 skew    0 clock  31.02KHz
        v: height  480 start  486 end  494 total  517           clock  60.00Hz
  640x480 (0xf4) 25.175MHz -HSync -VSync
        h: width   640 start  656 end  752 total  800 skew    0 clock  31.47KHz
        v: height  480 start  490 end  492 total  525           clock  59.94Hz
HDMI1 disconnected (normal left inverted right x axis y axis)
	Identifier: 0x4a
	Timestamp:  258593
	Subpixel:   unknown
	Clones:     DP1
	CRTCs:      0 1 2
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	aspect ratio: Automatic 
		supported: Automatic, 4:3, 16:9
	Broadcast RGB: Automatic 
		supported: Automatic, Full, Limited 16:235
	audio: auto 
		supported: force-dvi, off, auto, on
	link-status: Good 
		supported: Good, Bad
HDMI2 disconnected (normal left inverted right x axis y axis)
	Identifier: 0x4b
	Timestamp:  258593
	Subpixel:   unknown
	Clones:     DP2
	CRTCs:      0 1 2
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	aspect ratio: Automatic 
		supported: Automatic, 4:3, 16:9
	Broadcast RGB: Automatic 
		supported: Automatic, Full, Limited 16:235
	audio: auto 
		supported: force-dvi, off, auto, on
	link-status: Good 
		supported: Good, Bad
HDMI3 disconnected (normal left inverted right x axis y axis)
	Identifier: 0x4c
	Timestamp:  258593
	Subpixel:   unknown
	Clones:     DP3
	CRTCs:      0 1 2
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	aspect ratio: Automatic 
		supported: Automatic, 4:3, 16:9
	Broadcast RGB: Automatic 
		supported: Automatic, Full, Limited 16:235
	audio: auto 
		supported: force-dvi, off, auto, on
	link-status: Good 
		supported: Good, Bad
VGA1 disconnected (normal left inverted right x axis y axis)
	Identifier: 0x4d
	Timestamp:  258593
	Subpixel:   unknown
	Clones:    
	CRTCs:      0 1 2
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	link-status: Good 
		supported: Good, Bad
VIRTUAL1 disconnected (normal left inverted right x axis y axis)
	Identifier: 0x4e
	Timestamp:  258593
	Subpixel:   no subpixels
	Clones:    
	CRTCs:      3
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
[abc@localhost ~]$ 
--------------------------------------------------------------------------------

Please help resolve the issue
Comment 1 Sandeep J M 2018-04-06 16:22:03 UTC
Created attachment 138654 [details]
xrandr output
Comment 2 Sandeep J M 2018-04-06 16:23:40 UTC
Created attachment 138655 [details]
Booting error message
Comment 3 Sandeep J M 2018-04-06 16:24:28 UTC
Created attachment 138656 [details]
uname command output
Comment 4 Martin Peres 2018-04-10 10:21:16 UTC
Hi Sandeep,

DP MST support is still in a rough shape. Could you try with a more up-to-date kernel such as Linux 4.16 or our drm-tip tree (https://cgit.freedesktop.org/drm-tip) if you know how to recompile your own kernel?

Thanks in advance,
Martin
Comment 5 Sandeep J M 2018-04-10 11:38:46 UTC
Created attachment 138727 [details]
attachment-16222-0.html

Hi Martin,

 

                Thanks for your reply. Just now I have downloaded kernel from below link.

 

https://01.org/linuxgraphics/downloads/2017q4-intel-graphics-stack-recipe

 

                Let me know whether I need to build only the kernel or other graphics packages too in that list.

 

-Thanks & Regards

Sandeep

 

From: bugzilla-daemon@freedesktop.org <bugzilla-daemon@freedesktop.org> 
Sent: Tuesday, April 10, 2018 3:51 PM
To: sandeep@mistralsolutions.com
Subject: [Bug 105929] unable to extend Display port (DP) display using DP MST hub in Linux(Fedora-25)

 

Comment # 4 <https://bugs.freedesktop.org/show_bug.cgi?id=105929#c4>  on bug 105929 <https://bugs.freedesktop.org/show_bug.cgi?id=105929>  from  <mailto:martin.peres@free.fr> Martin Peres 

Hi Sandeep,
 
DP MST support is still in a rough shape. Could you try with a more up-to-date
kernel such as Linux 4.16 or our drm-tip tree
(https://cgit.freedesktop.org/drm-tip) if you know how to recompile your own
kernel?
 
Thanks in advance,
Martin
  _____  


You are receiving this mail because: 

*	You reported the bug.
*	You are on the CC list for the bug.
Comment 6 Martin Peres 2018-04-10 12:41:07 UTC
(In reply to Sandeep J M from comment #5)
> Hi Martin,
> 
> Thanks for your reply. Just now I have downloaded kernel from below link.
> 
> https://01.org/linuxgraphics/downloads/2017q4-intel-graphics-stack-recipe
> 
> Let me know whether I need to build only the kernel or other graphics packages too in that list.

You should not need other packages than this, although updating to fedora 27 would not be a bad idea anyway O:-)

The real meat of the problem likely comes from the kernel, so please try to use the latest kernel possible (4.16) or drm-tip if you know how to compile it. There has been work recently on MST displays that may help.
Comment 7 Sandeep J M 2018-04-10 15:46:36 UTC
Created attachment 138739 [details]
attachment-8012-0.html

Hi Martin,

 

                I tried building the kernel available from drm-tip (https://01.org/linuxgraphics/downloads/2017q4-intel-graphics-stack-recipe). I got the below error message.

 

 

[root@localhost drm-tip]# 

[root@localhost drm-tip]# make

  SYSTBL  arch/x86/include/generated/asm/syscalls_32.h

  SYSHDR  arch/x86/include/generated/asm/unistd_32_ia32.h

  SYSHDR  arch/x86/include/generated/asm/unistd_64_x32.h

  SYSTBL  arch/x86/include/generated/asm/syscalls_64.h

  SYSHDR  arch/x86/include/generated/uapi/asm/unistd_32.h

  SYSHDR  arch/x86/include/generated/uapi/asm/unistd_64.h

  SYSHDR  arch/x86/include/generated/uapi/asm/unistd_x32.h

  HOSTCC  arch/x86/tools/relocs_32.o

  HOSTCC  arch/x86/tools/relocs_64.o

  HOSTCC  arch/x86/tools/relocs_common.o

  HOSTLD  arch/x86/tools/relocs

  CHK     include/config/kernel.release

  UPD     include/config/kernel.release

  WRAP    arch/x86/include/generated/uapi/asm/bpf_perf_event.h

  WRAP    arch/x86/include/generated/uapi/asm/poll.h

  WRAP    arch/x86/include/generated/asm/dma-contiguous.h

  WRAP    arch/x86/include/generated/asm/early_ioremap.h

  WRAP    arch/x86/include/generated/asm/mcs_spinlock.h

  WRAP    arch/x86/include/generated/asm/mm-arch-hooks.h

  CHK     include/generated/uapi/linux/version.h

  UPD     include/generated/uapi/linux/version.h

  CHK     include/generated/utsrelease.h

  UPD     include/generated/utsrelease.h

  CC      kernel/bounds.s

  CHK     include/generated/bounds.h

  UPD     include/generated/bounds.h

  CHK     include/generated/timeconst.h

  UPD     include/generated/timeconst.h

  CC      arch/x86/kernel/asm-offsets.s

  CHK     include/generated/asm-offsets.h

  UPD     include/generated/asm-offsets.h

  CALL    scripts/checksyscalls.sh

  DESCEND  objtool

  HOSTCC   /home/qrsam/dpdrmtip/drm-tip/tools/objtool/fixdep.o

  HOSTLD   /home/qrsam/dpdrmtip/drm-tip/tools/objtool/fixdep-in.o

  LINK     /home/qrsam/dpdrmtip/drm-tip/tools/objtool/fixdep

  CC       /home/qrsam/dpdrmtip/drm-tip/tools/objtool/exec-cmd.o

  CC       /home/qrsam/dpdrmtip/drm-tip/tools/objtool/help.o

  CC       /home/qrsam/dpdrmtip/drm-tip/tools/objtool/pager.o

  CC       /home/qrsam/dpdrmtip/drm-tip/tools/objtool/parse-options.o

  CC       /home/qrsam/dpdrmtip/drm-tip/tools/objtool/run-command.o

  CC       /home/qrsam/dpdrmtip/drm-tip/tools/objtool/sigchain.o

  CC       /home/qrsam/dpdrmtip/drm-tip/tools/objtool/subcmd-config.o

  LD       /home/qrsam/dpdrmtip/drm-tip/tools/objtool/libsubcmd-in.o

  AR       /home/qrsam/dpdrmtip/drm-tip/tools/objtool/libsubcmd.a

  GEN      /home/qrsam/dpdrmtip/drm-tip/tools/objtool/arch/x86/lib/inat-tables.c

  CC       /home/qrsam/dpdrmtip/drm-tip/tools/objtool/arch/x86/decode.o

  LD       /home/qrsam/dpdrmtip/drm-tip/tools/objtool/arch/x86/objtool-in.o

  CC       /home/qrsam/dpdrmtip/drm-tip/tools/objtool/builtin-check.o

  CC       /home/qrsam/dpdrmtip/drm-tip/tools/objtool/builtin-orc.o

  CC       /home/qrsam/dpdrmtip/drm-tip/tools/objtool/check.o

  CC       /home/qrsam/dpdrmtip/drm-tip/tools/objtool/orc_gen.o

  CC       /home/qrsam/dpdrmtip/drm-tip/tools/objtool/orc_dump.o

  CC       /home/qrsam/dpdrmtip/drm-tip/tools/objtool/elf.o

  CC       /home/qrsam/dpdrmtip/drm-tip/tools/objtool/special.o

  CC       /home/qrsam/dpdrmtip/drm-tip/tools/objtool/objtool.o

  CC       /home/qrsam/dpdrmtip/drm-tip/tools/objtool/libstring.o

  CC       /home/qrsam/dpdrmtip/drm-tip/tools/objtool/str_error_r.o

  LD       /home/qrsam/dpdrmtip/drm-tip/tools/objtool/objtool-in.o

  LINK     /home/qrsam/dpdrmtip/drm-tip/tools/objtool/objtool

  CC      scripts/mod/empty.o

  HOSTCC  scripts/mod/mk_elfconfig

  MKELF   scripts/mod/elfconfig.h

  HOSTCC  scripts/mod/modpost.o

  CC      scripts/mod/devicetable-offsets.s

  CHK     scripts/mod/devicetable-offsets.h

  UPD     scripts/mod/devicetable-offsets.h

  HOSTCC  scripts/mod/file2alias.o

  HOSTCC  scripts/mod/sumversion.o

  HOSTLD  scripts/mod/modpost

  HOSTCC  scripts/selinux/genheaders/genheaders

  HOSTCC  scripts/selinux/mdp/mdp

  HOSTCC  scripts/kallsyms

  HOSTCC  scripts/pnmtologo

  HOSTCC  scripts/conmakehash

  HOSTCC  scripts/sortextable

  HOSTCC  scripts/asn1_compiler

  HOSTCC  scripts/extract-cert

scripts/extract-cert.c:21:25: fatal error: openssl/bio.h: No such file or directory

#include <openssl/bio.h>

                         ^

compilation terminated.

scripts/Makefile.host:90: recipe for target 'scripts/extract-cert' failed

make[1]: *** [scripts/extract-cert] Error 1

Makefile:564: recipe for target 'scripts' failed

make: *** [scripts] Error 2

[root@localhost drm-tip]# 

 

 

                Please let me know whether I am missing something here.

 

-Thanks & Regards

Sandeep

 

From: bugzilla-daemon@freedesktop.org <bugzilla-daemon@freedesktop.org> 
Sent: Tuesday, April 10, 2018 6:11 PM
To: sandeep@mistralsolutions.com
Subject: [Bug 105929] unable to extend Display port (DP) display using DP MST hub in Linux(Fedora-25)

 

Comment # 6 <https://bugs.freedesktop.org/show_bug.cgi?id=105929#c6>  on bug 105929 <https://bugs.freedesktop.org/show_bug.cgi?id=105929>  from  <mailto:martin.peres@free.fr> Martin Peres 

(In reply to Sandeep J M from comment #5 <https://bugs.freedesktop.org/show_bug.cgi?id=105929#c5> )
> Hi Martin,
> 
> Thanks for your reply. Just now I have downloaded kernel from below link.
> 
> https://01.org/linuxgraphics/downloads/2017q4-intel-graphics-stack-recipe
> 
> Let me know whether I need to build only the kernel or other graphics packages too in that list.
 
You should not need other packages than this, although updating to fedora 27
would not be a bad idea anyway O:-)
 
The real meat of the problem likely comes from the kernel, so please try to use
the latest kernel possible (4.16) or drm-tip if you know how to compile it.
There has been work recently on MST displays that may help.
  _____  


You are receiving this mail because: 

*	You are on the CC list for the bug.
*	You reported the bug.
Comment 8 Jani Nikula 2018-04-11 14:49:35 UTC
(In reply to Sandeep J M from comment #7)
>                 I tried building the kernel available from drm-tip
> (https://01.org/linuxgraphics/downloads/2017q4-intel-graphics-stack-recipe).
> I got the below error message.

I'm afraid this is not a support channel for building kernels. Moreover, please use drm-tip directly from git instead of recipes like that.

https://cgit.freedesktop.org/drm/drm-tip
Comment 9 Sandeep J M 2018-04-11 14:55:25 UTC
Created attachment 138758 [details]
attachment-24666-0.html

No issues. It was just a building issue & is sorted out. I am building the graphics stack recipe

(https://01.org/linuxgraphics/downloads/2017q4-intel-graphics-stack-recipe).

Built kernel, libdrm, x86-Video-Intel.  Mesa & Xserver building in progress. Will let you know for any help & observation.

 

-Thanks & Regards

Sandeep

 

From: bugzilla-daemon@freedesktop.org <bugzilla-daemon@freedesktop.org> 
Sent: Wednesday, April 11, 2018 8:20 PM
To: sandeep@mistralsolutions.com
Subject: [Bug 105929] unable to extend Display port (DP) display using DP MST hub in Linux(Fedora-25)

 

Comment # 8 <https://bugs.freedesktop.org/show_bug.cgi?id=105929#c8>  on bug 105929 <https://bugs.freedesktop.org/show_bug.cgi?id=105929>  from  <mailto:jani.nikula@intel.com> Jani Nikula 

(In reply to Sandeep J M from comment #7 <https://bugs.freedesktop.org/show_bug.cgi?id=105929#c7> )
>                 I tried building the kernel available from drm-tip
> (https://01.org/linuxgraphics/downloads/2017q4-intel-graphics-stack-recipe).
> I got the below error message.
 
I'm afraid this is not a support channel for building kernels. Moreover, please
use drm-tip directly from git instead of recipes like that.
 
https://cgit.freedesktop.org/drm/drm-tip
  _____  


You are receiving this mail because: 

*	You are on the CC list for the bug.
*	You reported the bug.
Comment 10 Sandeep J M 2018-04-11 15:09:43 UTC
Created attachment 138760 [details]
attachment-927-0.html

Hi Jani Nikula, From your comment, it seems we can directly use the pre-built kernel from drm-tip. If so, can I download one & directly use for x86-64 machine. Please clarify the statement- use drm-tip directly from git instead of recipes like that.

 

Or does it mean, all dependent packages are available in drm-tip & can be used to resolve the build issues.

 

-Regards

Sandeep

From: bugzilla-daemon@freedesktop.org <bugzilla-daemon@freedesktop.org> 
Sent: Wednesday, April 11, 2018 8:20 PM
To: sandeep@mistralsolutions.com
Subject: [Bug 105929] unable to extend Display port (DP) display using DP MST hub in Linux(Fedora-25)

 

Comment # 8 <https://bugs.freedesktop.org/show_bug.cgi?id=105929#c8>  on bug 105929 <https://bugs.freedesktop.org/show_bug.cgi?id=105929>  from  <mailto:jani.nikula@intel.com> Jani Nikula 

(In reply to Sandeep J M from comment #7 <https://bugs.freedesktop.org/show_bug.cgi?id=105929#c7> )
>                 I tried building the kernel available from drm-tip
> (https://01.org/linuxgraphics/downloads/2017q4-intel-graphics-stack-recipe).
> I got the below error message.
 
I'm afraid this is not a support channel for building kernels. Moreover, please
use drm-tip directly from git instead of recipes like that.
 
https://cgit.freedesktop.org/drm/drm-tip
  _____  


You are receiving this mail because: 

*	You are on the CC list for the bug.
*	You reported the bug.
Comment 11 Sandeep J M 2018-04-12 15:16:10 UTC
Created attachment 138801 [details]
bootscreen with 2017Q4 Intel Graphics Stack Recipe built

I was able to build the kernel & related graphics stack(2017Q4 Intel Graphics Stack Recipe) available at https://01.org/linuxgraphics/downloads/stack . 

	After this, when I rebooted the system, I am getting the attached boot screen. 

	I am building all related graphics stack & finally the Linux Kernel(4.16). 

	Please let me now where I am missing or why I am getting this boot screen. You comments will be very much helpful to debug further.
Comment 12 Sandeep J M 2018-04-12 15:20:02 UTC
Comment on attachment 138801 [details]
bootscreen with 2017Q4 Intel Graphics Stack Recipe built

                I was able to build the kernel & related graphics stack(2017Q4 Intel Graphics Stack Recipe) available at https://01.org/linuxgraphics/downloads/stack . 

                After this, when I rebooted the system, I am getting the attached boot screen with error message “hdaudio: hdaudio c1d0 unable to bind the codec”. 

                I am building all related graphics stack & finally the Linux Kernel(4.16). 

                Please let me now where I am missing or why I am getting this boot screen. You comments will be very much helpful to debug further.
Comment 13 Sandeep J M 2018-04-12 16:05:33 UTC
Created attachment 138803 [details]
bootscreen with 2017Q4 Intel Graphics Stack Recipe built with Audio drivers included

I included the Generic HD Audio drivers in the Kernel & got rid of the error. But now I am getting the attached screen.

                Let me know what need to be done next.

-Regards
Sandeep
Comment 14 Sandeep J M 2018-04-13 11:52:20 UTC
Created attachment 138825 [details]
dmesg output with 2 DP monitors connected to MST hub, Kernel Ver-4.16

                Able to boot  Intel card with 4.16 kernel from 2017Q4 Intel Graphics Stack Recipe available at https://01.org/linuxgraphics/downloads/stack. Booted with 2 DP monitors connected to MST Hub & flag “drm.debug=0xe” set in the kernel command line.

                Attached is the “dmesg” log/output.

                Please let me know what need to be done further to extend the DP display through MST hub.
Comment 15 Sandeep J M 2018-04-18 07:48:41 UTC
Created attachment 138899 [details]
dmesg output with 2 DP monitors connected to MST hub, Kernel Ver-4.16 from 2018 Q1 Intel grahics stack recipe

Once again, I am attaching the “dmesg” output taken with “drm.debug=0xe” & “log-buf-len=2M” parameters in the kernel command line.

Also attached log contains all information of command “dmesg” starting from kernel bootline. Also I have built the kernel & related graphics stack referring the guidelines listed at https://01.org/linuxgraphics/documentation/build-guide-0
 &  latest packages available at https://01.org/linuxgraphics/downloads/2018q1-intel-graphics-stack-recipe.
Comment 16 Sandeep J M 2018-04-18 13:38:53 UTC
Comment on attachment 138899 [details]
dmesg output with 2 DP monitors connected to MST hub, Kernel Ver-4.16 from 2018 Q1 Intel grahics stack recipe

can you please let me know what kernel mode settings I need to carry out to debug the issue further.
Comment 17 Jani Saarinen 2018-04-25 11:51:24 UTC
Was you able to build drm-tip directly? https://cgit.freedesktop.org/drm-tip?
Comment 18 Sandeep J M 2018-04-25 12:59:13 UTC
Created attachment 139097 [details]
attachment-8413-0.html

I have built the kernel & related graphics stack referring the guidelines listed at https://01.org/linuxgraphics/documentation/build-guide-0

&  latest packages available at https://01.org/linuxgraphics/downloads/2018q1-intel-graphics-stack-recipe.

 

 

From: bugzilla-daemon@freedesktop.org <bugzilla-daemon@freedesktop.org> 
Sent: Wednesday, April 25, 2018 5:21 PM
To: sandeep@mistralsolutions.com
Subject: [Bug 105929] unable to extend Display port (DP) display using DP MST hub in Linux(Fedora-25)

 

 <mailto:jani.saarinen@intel.com> Jani Saarinen changed bug 105929 <https://bugs.freedesktop.org/show_bug.cgi?id=105929>  


What

Removed

Added


Status

NEW 

NEEDINFO 

Comment # 17 <https://bugs.freedesktop.org/show_bug.cgi?id=105929#c17>  on bug 105929 <https://bugs.freedesktop.org/show_bug.cgi?id=105929>  from  <mailto:jani.saarinen@intel.com> Jani Saarinen 

Was you able to build drm-tip directly? https://cgit.freedesktop.org/drm-tip?
  _____  


You are receiving this mail because: 

*	You reported the bug.
*	You are on the CC list for the bug.
Comment 19 Dhinakaran Pandiyan 2018-05-08 20:23:07 UTC
Link training failures -

[    2.485249] [drm:intel_dp_dump_link_status] ln0_1:0x11 ln2_3:0x11 align:0x81 sink:0x0 adj_req0_1:0x0 adj_req2_3:0x0
[    2.485251] [drm:intel_dp_start_link_train] Channel equalization failed 5 times
[    2.485902] [drm:intel_dp_start_link_train] [CONNECTOR:86:DP-3] Link Training failed at link rate = 540000, lane count = 4
Comment 20 Lakshmi 2018-09-10 12:30:51 UTC
Sandeep, do you still see the issue with latest drm-tip?
Comment 21 Sandeep J M 2018-09-10 12:52:05 UTC
Created attachment 141505 [details]
attachment-10301-0.html

Lakshmi, Lastly I tried with vmlinuz-4.16.0-rc7+.

 

I was not able to drive the display through MST hub.

 

From: bugzilla-daemon@freedesktop.org <bugzilla-daemon@freedesktop.org> 
Sent: Monday, September 10, 2018 6:01 PM
To: sandeep@mistralsolutions.com
Subject: [Bug 105929] unable to extend Display port (DP) display using DP MST hub in Linux(Fedora-25)

 

Comment # 20 <https://bugs.freedesktop.org/show_bug.cgi?id=105929#c20>  on bug 105929 <https://bugs.freedesktop.org/show_bug.cgi?id=105929>  from  <mailto:lakshminarayana.vudum@intel.com> Lakshmi 

Sandeep, do you still see the issue with latest drm-tip?
  _____  


You are receiving this mail because: 

*	You are on the CC list for the bug.
*	You reported the bug.
Comment 22 Lakshmi 2018-09-10 13:07:25 UTC
Sandeep, Can you try to reproduce the issue using drm-tip (https://cgit.freedesktop.org/drm-tip) and kernel parameters drm.debug=0x1e log_buf_len=4M, and if the problem persists attach the full dmesg from boot.

This will speed up investigation.
Comment 23 Lakshmi 2018-10-19 11:02:45 UTC
Need dmesg from latest drm-tip. This will help in investigating the issue.

No feedback for more than a month, reducing the priority to medium.
Comment 24 Lakshmi 2019-07-15 06:37:45 UTC
No response from more than few months. Resolving this issue as WORKSFORME.
If this issue happens to occur on drmtip, please attach the dmesg from boot and reopen the issue.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.